Skip to content

GET Summary.

GET
/api/shape/csd/namespaces/{namespace}/summary
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/csd/namespaces/example/summary \
--header 'Authorization: <Authorization>'

GET summay details for a given customer.

Examples of this operation.

namespace
required
string

Namespace Namespace.

A successful response.

Media typeapplication/json
GetSummaryResponse

Response to GET summary.

object
blocked_scripts
blocked_scripts

Number of blocked scripts.

integer format: int32
mitigated_domains
mitigated_domains

Number of mitigated domains.

integer format: int32
suspicious_scripts
suspicious_scripts

Count of the suspicious scripts.

integer format: int32
Examplegenerated
{
"blocked_scripts": 1,
"mitigated_domains": 1,
"suspicious_scripts": 1
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example